/*
* Copyright 2009 Funambol, Inc.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

/* $Id$ */

#pragma once

#include "daemon/INotificationCenter.h"

namespace NS_DM_Client
{
	class MockNotificationCenter : public INotificationCenter
	{
	public:
		virtual bool Subscribe(INotification* notification) { return true; }
		virtual bool Unsubscribe(INotification* notification) { return true; }

		virtual void NotifyDMSessionStatus(EventType eventType, Initiator initiator, NotificationStatus statusCode){};
		virtual void CheckFirmwareUpdateStatus(bool isNewFirmware) {}
		virtual void StartDMSessionStatus(bool started) {}
		virtual void FirmwareInfo(const String &localpath, const String &filename, const int size) {}
		virtual void FirmwareUpdateStart(FirmwareUpdate::EnumFirmwareOperation fwo) {}
		virtual void FirmwareUpdateFinished(FirmwareUpdate::EnumFirmwareOperation fwo) {}
		virtual void StartDRMDCollecting(int duration){}
		virtual void ProvisioningUpdate(const StringArray& URIs, CommandType command, EventType eventType, StatusCode resultCode) {}
	};
}
